Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class FolderPathRelationship

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.Relationship

                                    |

                                    +--oracle.ifs.beans.TieRelationship

                                          |

                                          +--oracle.ifs.beans.FolderRelationship

                                                |

                                                +--oracle.ifs.beans.TieFolderRelationship

                                                      |

                                                      +--oracle.ifs.beans.FolderPathRelationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieFolderPathRelationship

public class FolderPathRelationship
extends TieFolderRelationship

This subclass of FolderRelationship is used by instances of Folder to model a path-oriented containership, similar to a file system. A public object is "added to a folder" by creating an instance of FolderPathRelationship between the folder and target public object. This relationship provides some validation (such as to prevent two objects with the same name in the same folder) and also enables finding objects from a specified relative folder path.

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `LEFTOBJECTCOPY_ATTRIBUTE` A copy of the source (left) object in the Relationship.
`static java.lang.String` | `RIGHTOBJECTNAME_ATTRIBUTE` The name of the PublicObject on the 'target' (right) side of the Relationship.

Fields inherited from class oracle.ifs.beans.Relationship
`LEFTOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, RIGHTOBJECT_ATTRIBUTE, SORTSEQUENCE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Methods inherited from class oracle.ifs.beans.Relationship
`getLeftObject, getRightObject, getSortSequence`

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, getPropertyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### LEFTOBJECTCOPY_ATTRIBUTE

    public static final java.lang.String LEFTOBJECTCOPY_ATTRIBUTE

  A copy of the source (left) object in the Relationship.

### RIGHTOBJECTNAME_ATTRIBUTE

    public static final java.lang.String RIGHTOBJECTNAME_ATTRIBUTE

  The name of the PublicObject on the 'target' (right) side of the Relationship.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD